org.apache.jmeter.gui.action

## Class LookAndFeelCommand

- java.lang.Object
- - org.apache.jmeter.gui.action.AbstractAction
  - - org.apache.jmeter.gui.action.LookAndFeelCommand

- All Implemented Interfaces:
    Command

      public class LookAndFeelCommand
      extends AbstractAction

  Implements the Look and Feel menu item.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LookAndFeelCommand()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `doAction(java.awt.event.ActionEvent ev)`
    `java.util.Set<java.lang.String>` | `getActionNames()`
    `static java.lang.String` | `getJMeterLaf()` Get LookAndFeel classname from the following properties: User preferences key: "laf" jmeter.laf.

    - ### Methods inherited from class org.apache.jmeter.gui.action.AbstractAction

      `popupCheckExistingFileListener, popupShouldSave`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LookAndFeelCommand

          public LookAndFeelCommand()

  - ### Method Detail

    - #### getJMeterLaf

          public static java.lang.String getJMeterLaf()

      Get LookAndFeel classname from the following properties:
      - User preferences key: "laf"
      - jmeter.laf.<os.name> - lowercased; spaces replaced by '_'
      - jmeter.laf.<os.family> - lowercased.
      - jmeter.laf
      - UIManager.getCrossPlatformLookAndFeelClassName()
      Returns:
        LAF classname

    - #### doAction

          public void doAction(java.awt.event.ActionEvent ev)

      Specified by:
        `doAction` in interface `Command`
      Overrides:
        `doAction` in class `AbstractAction`
      See Also:
        `Command.doAction(ActionEvent)`

    - #### getActionNames

          public java.util.Set<java.lang.String> getActionNames()

Copyright © 1998-2019 Apache Software Foundation. All Rights Reserved.